Ticket #4178 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

FireFox3.5で誕生日バナーの右側に余白ができる

Reported by: kiwa Assigned to: imamura623
Priority: minor Milestone: OpenPNE2.14.2
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.15 Cc:

Description (Last modified by imamura623)

現象

FireFox3.5にて、誕生日バナーの右側に余白ができる

原因

バナー領域とバナー画像のサイズが合っていないため余白が出来てしまう

修正内容

誕生日バナー用にhomeBirthdayBox classを追加しbackground-color:transparentを指定するように修正

関連

元の報告

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=21223&comment_count=2

誕生日の人のマイページに表示される誕生日おめでとう画像の
表示エリアが長すぎて隙間が空いて白字が出ています。

2.14.0で確認しました。

表示の状態は、
左側は背景色の細いマージンがあるのですが、
右側はマージンが白になっていてページ外とつながっています。

ちなみに公式SNSでも
背景のグラデーションのない
白い部分が少し表示されています。

Change History

08/26/09 16:23:41 changed by nakasone

  • keywords deleted.

以下のような確認を行ったところ再現できました。

■確認ブラウザ

  • FireFox3

■確認バージョン

  • 2.12.x
  • 2.14.x

■手順

  1. 管理画面:デザイン→配色設定
  2. コンテンツ領域背景に色を付ける
  3. 誕生日の人のマイページを開く→誕生日バナーの右側に余白がある

09/04/09 12:00:40 changed by imamura623

  • keywords set to OpenPNE2.12.15.
  • milestone set to OpenPNE2.14.2.

09/15/09 15:26:41 changed by imamura623

  • owner changed from nobody to imamura623.
  • status changed from new to assigned.

09/16/09 16:37:31 changed by imamura623

  • keywords changed from OpenPNE2.12.15 to OpenPNE2.12.15 確認中.
  • description changed.

誕生日バナー用cssを追加

  • r12909 で2.14xへコミット
  • r12910 でtrunkへコミット
  • r12911 で2.12xへコミット

10/14/09 19:13:08 changed by imamura623

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 差し戻し.

kudoさんに動作テストしてもらいました。環境によって空白が出てしまう場合があるので調査いたします。

10/15/09 16:32:52 changed by urabe

  • 今後、同じ要素の class に指定されている div.parts を何らかの設定で width:100 % を設定されると、今回の修正が読み込まれなくなりますので、class homeBirthdayBox の設定を優先して読み込むような対策をお願いします。
    • 細かくclassのパスを設定している方が優先して表示されます。
    • 例:.homeBirthdayBox { CSS 設定 } → #pc_page_f_home div.homeBirthdayBox { CSS 設定 }
  • 今回の場合、白い背景が表示されてしまうとの問題ですので、width で幅調整して背景を修正するのではなく、 background: transparent (透明) と設定するのが正当な解決策だと考えられます。よければご検討ください。

10/15/09 18:09:57 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.
  • description changed.

homeBirthdayBox classにbackground-color:transparentを指定するように修正しました。

  • r13000でstable-2.12.xにコミット
  • r13001でtrunkにコミット
  • r13002でstable-2.14.xにコミット

10/15/09 18:58:14 changed by imamura623

r13003 で不要な空白を削除し2.14.xとの差異を無くした

10/15/09 22:33:10 changed by urabe

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 テスト待ち.

確認しました。OKです。

10/16/09 17:04:59 changed by imamura623

  • keywords changed from OpenPNE2.12.15 テスト待ち to OpenPNE2.12.15.
  • status changed from assigned to closed.
  • resolution set to fixed.

表示確認しました。問題ありません。

10/16/09 17:33:25 changed by kiwa

実装者が最終的な確認を行っているので軽く見させてもらいました。WinXP(firefox3.5, IE8, Safari3)でh_home、f_homeを確認したところ、問題ありませんでした。

10/20/09 11:12:43 changed by imamura623

  • description changed.